/**
 * @module createFactory
 */


import createElement from './createElement';


/**
 * Create a React element factory.
 * @param {(string|ReactComponent)} type - HTML tag name or React component.
 * @returns {Object}
 */
function createFactory(type) {
	const factory = (selector, props, ...children) => (
		createElement(type, selector, props, ...children)
	);

	factory.type = type;

	return factory;
}


export default createFactory;
