// webpack.development.js


/* global __dirname, require, module */


const webpack = require('webpack');
const path    = require('path');

const sourcePath = path.resolve(__dirname, 'source');
const outputPath = path.resolve(__dirname, 'build');


module.exports = {
	plugins: [
	],

	entry: [
		path.join(sourcePath, 'index.js'),
	],

	output: {
		path:       outputPath,
		filename:   'index.js',
		publicPath: '/',
	},

	devtool: 'source-map',

	devServer: {
		contentBase: outputPath,
		host:   'localhost',
		port:   80,
		inline: true,
		hot:    true,
	},

	resolve: {
		extensions: ['', '.js'],
		alias: {
		},
	},

	module: {
		// preLoaders: [
		// 	{
		// 		test:    /\.(js|jsx)$/,
		// 		loader: 'eslint-loader',
		// 		include: sourcePath,
		// 	},
		// ],

		loaders: [
			{
				test:    /\.(js)$/,
				loaders: ['babel-loader'],
				include: sourcePath,
			},
		],
	},

};
